From: =?utf-8?q?David_Pr=C3=A9vot?= <taffit@debian.org>
Date: Mon, 20 May 2024 12:32:52 +0200
Subject: Drop incompatible BC layer

Bug-Debian: https://bugs.debian.org/1039765
---
 tests/Doctrine/Tests/Common/Annotations/DocParserTest.php | 12 ------------
 1 file changed, 12 deletions(-)

diff --git a/tests/Doctrine/Tests/Common/Annotations/DocParserTest.php b/tests/Doctrine/Tests/Common/Annotations/DocParserTest.php
index 219527d..9bced28 100644
--- a/tests/Doctrine/Tests/Common/Annotations/DocParserTest.php
+++ b/tests/Doctrine/Tests/Common/Annotations/DocParserTest.php
@@ -1821,18 +1821,6 @@ DOCBLOCK;
         self::assertSame('Some data', $annot->name);
         self::assertSame([], $annot->data);
     }
-
-    /**
-     * Override for BC with PHPUnit <8
-     */
-    public function expectExceptionMessageMatches(string $regularExpression): void
-    {
-        if (method_exists(get_parent_class($this), 'expectExceptionMessageMatches')) {
-            parent::expectExceptionMessageMatches($regularExpression);
-        } else {
-            parent::expectExceptionMessageRegExp($regularExpression);
-        }
-    }
 }
 
 /**
